import 'package:didvan/constants/assets.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';

class DidvanHorizontalLogo extends StatelessWidget {
  final String? type;
  const DidvanHorizontalLogo({Key? key, this.type}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(bottom: type == 'studio' ? 0 : 4),
      child: SvgPicture.asset(
        _asset,
        height: 48,
      ),
    );
  }

  String get _asset {
    if (type == 'studio') {
      return Assets.studioLogo;
    } else {
      return Assets.horizontalLogoWithText;
    }
  }
}
